var search_data = {"index":{"searchIndex":["emojidata","emojichar","all()","all_doublebyte()","all_with_variants()","char()","char_to_unified()","chars()","chars()","codepoints()","doublebyte?()","find_by_name()","find_by_short_name()","find_by_str()","find_by_unified()","find_by_value()","from_short_name()","from_unified()","new()","render()","scan()","to_s()","unified_to_char()","unified_to_char()","variant()","variant?()"],"longSearchIndex":["emojidata","emojidata::emojichar","emojidata::all()","emojidata::all_doublebyte()","emojidata::all_with_variants()","emojidata::emojichar#char()","emojidata::char_to_unified()","emojidata::chars()","emojidata::emojichar#chars()","emojidata::codepoints()","emojidata::emojichar#doublebyte?()","emojidata::find_by_name()","emojidata::find_by_short_name()","emojidata::find_by_str()","emojidata::find_by_unified()","emojidata::find_by_value()","emojidata::from_short_name()","emojidata::from_unified()","emojidata::emojichar::new()","emojidata::emojichar#render()","emojidata::scan()","emojidata::emojichar#to_s()","emojidata::unified_to_char()","emojidata::emojichar::unified_to_char()","emojidata::emojichar#variant()","emojidata::emojichar#variant?()"],"info":[["EmojiData","","EmojiData.html","",""],["EmojiData::EmojiChar","","EmojiData/EmojiChar.html","","<p>EmojiChar represents a single Emoji character and its associated metadata.\n<p>@!attribute name\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>] <span class=\"ruby-operator\">...</span>\n</pre>\n"],["all","EmojiData","EmojiData.html#method-c-all","()","<p>Returns a list of all known Emoji characters as ‘EmojiChar` objects.\n<p>@return [Array&lt;EmojiChar&gt;] …\n"],["all_doublebyte","EmojiData","EmojiData.html#method-c-all_doublebyte","()","<p>Returns a list of all ‘EmojiChar` that are represented with doublebyte encoding.\n<p>@return [Array&lt;EmojiChar&gt;] …\n"],["all_with_variants","EmojiData","EmojiData.html#method-c-all_with_variants","()","<p>Returns a list of all ‘EmojiChar` that have at least one variant encoding.\n<p>@return [Array&lt;EmojiChar&gt;] …\n"],["char","EmojiData::EmojiChar","EmojiData/EmojiChar.html#method-i-char","(opts = {})",""],["char_to_unified","EmojiData","EmojiData.html#method-c-char_to_unified","(char)","<p>Convert a native UTF-8 string glyph to its unified codepoint ID.\n<p>This is a conversion operation, not a …\n"],["chars","EmojiData","EmojiData.html#method-c-chars","(opts={})","<p>Returns a list of all known Emoji characters rendered as UTF-8 strings.\n<p>By default, the default rendering …\n"],["chars","EmojiData::EmojiChar","EmojiData/EmojiChar.html#method-i-chars","()","<p>Returns a list of all possible UTF-8 string renderings of an ‘EmojiChar`.\n<p>E.g., normal, with variant selectors, …\n"],["codepoints","EmojiData","EmojiData.html#method-c-codepoints","(opts={})","<p>Returns a list of all known codepoints representing Emoji characters.\n<p>@option (see .chars) @return [Array&lt;String&gt;] …\n"],["doublebyte?","EmojiData::EmojiChar","EmojiData/EmojiChar.html#method-i-doublebyte-3F","()","<p>Is the ‘EmojiChar` represented by a doublebyte codepoint in Unicode?\n<p>@return [Boolean]\n"],["find_by_name","EmojiData","EmojiData.html#method-c-find_by_name","(name)","<p>Finds any ‘EmojiChar` that contains given string in its official name.\n<p>@param name [String] @return [Array&lt;EmojiChar&gt;] …\n"],["find_by_short_name","EmojiData","EmojiData.html#method-c-find_by_short_name","(short_name)","<p>Find all ‘EmojiChar` that match string in any of their associated short name keywords.\n<p>@param short_name …\n"],["find_by_str","EmojiData","EmojiData.html#method-c-find_by_str","(str)",""],["find_by_unified","EmojiData","EmojiData.html#method-c-find_by_unified","(uid)",""],["find_by_value","EmojiData","EmojiData.html#method-c-find_by_value","(field,value)",""],["from_short_name","EmojiData","EmojiData.html#method-c-from_short_name","(short_name)","<p>Finds a specific ‘EmojiChar` based on the unified codepoint ID.\n<p>Must be exact match.\n<p>@param short_name …\n"],["from_unified","EmojiData","EmojiData.html#method-c-from_unified","(uid)","<p>Finds a specific ‘EmojiChar` based on its unified codepoint ID.\n<p>@param uid [String] the unified codepoint …\n"],["new","EmojiData::EmojiChar","EmojiData/EmojiChar.html#method-c-new","(emoji_hash)",""],["render","EmojiData::EmojiChar","EmojiData/EmojiChar.html#method-i-render","(opts = {})","<p>Renders an ‘EmojiChar` to its string glyph representation, suitable for printing to screen.\n<p>@option opts …\n"],["scan","EmojiData","EmojiData.html#method-c-scan","(str)","<p>Scans a string for all encoded emoji characters contained within.\n<p>@param str [String] the target string …\n"],["to_s","EmojiData::EmojiChar","EmojiData/EmojiChar.html#method-i-to_s","(opts = {})",""],["unified_to_char","EmojiData","EmojiData.html#method-c-unified_to_char","(uid)","<p>Convert a unified codepoint ID directly to its UTF-8 string representation.\n<p>@param uid [String] the unified …\n"],["unified_to_char","EmojiData::EmojiChar","EmojiData/EmojiChar.html#method-c-unified_to_char","(cps)",""],["variant","EmojiData::EmojiChar","EmojiData/EmojiChar.html#method-i-variant","()","<p>Returns the most likely variant-encoding codepoint ID for an ‘EmojiChar`.\n<p>For now we only know of one …\n"],["variant?","EmojiData::EmojiChar","EmojiData/EmojiChar.html#method-i-variant-3F","()","<p>Does the ‘EmojiChar` have an alternate Unicode variant encoding?\n<p>@return [Boolean]\n"]]}}